Bug 22800 - No need to raw filter the mandatory fields var (OPAC suggestions)
Summary: No need to raw filter the mandatory fields var (OPAC suggestions)
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 22550
Blocks:
  Show dependency treegraph
 
Reported: 2019-04-29 02:11 UTC by Jonathan Druart
Modified: 2019-05-08 15:47 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.06


Attachments
Bug 22800: (bug 22550 follow-up) Do not raw filter when not necessary (OPAC suggestions) (2.81 KB, patch)
2019-04-29 02:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22800: (bug 22550 follow-up) Do not raw filter when not necessary (OPAC suggestions) (2.85 KB, patch)
2019-05-03 19:17 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 22800: (bug 22550 follow-up) Do not raw filter when not necessary (OPAC suggestions) (2.91 KB, patch)
2019-05-04 07:15 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2019-04-29 02:11:27 UTC
This is a follow-up for bug 22550, we do not need to use the $raw filter.
Comment 1 Jonathan Druart 2019-04-29 02:13:56 UTC
Created attachment 88993 [details] [review]
Bug 22800: (bug 22550 follow-up) Do not raw filter when not necessary (OPAC suggestions)

This is a follow-up for bug 22550, we do not need to use the $raw
filter.

Test plan:
Same as bug 22550:
Test plan:
Test plan:
1. OPAC->login->your purchase suggestions->New purchase suggestion
2. Click button "Submit your suggestion" directly without filling in any field.
   Empty suggestion record was added succeffully.
3. Apply the patch.
4. Click button "Submit your suggestion" directly without filling in any field.
   The required fields should be labeled in red.
   (you can change the mandatory fields by preference
   'OPACSuggestionMandatoryFields')
Comment 2 Bin Wen 2019-05-03 19:17:38 UTC
Created attachment 89325 [details] [review]
Bug 22800: (bug 22550 follow-up) Do not raw filter when not necessary (OPAC suggestions)

This is a follow-up for bug 22550, we do not need to use the $raw
filter.

Test plan:
Same as bug 22550:
Test plan:
Test plan:
1. OPAC->login->your purchase suggestions->New purchase suggestion
2. Click button "Submit your suggestion" directly without filling in any field.
   Empty suggestion record was added succeffully.
3. Apply the patch.
4. Click button "Submit your suggestion" directly without filling in any field.
   The required fields should be labeled in red.
   (you can change the mandatory fields by preference
   'OPACSuggestionMandatoryFields')

Signed-off-by: Bin Wen <bin.wen@inlibro.com>
Comment 3 Chris Cormack 2019-05-04 07:15:19 UTC
Created attachment 89337 [details] [review]
Bug 22800: (bug 22550 follow-up) Do not raw filter when not necessary (OPAC suggestions)

This is a follow-up for bug 22550, we do not need to use the $raw
filter.

Test plan:
Same as bug 22550:
Test plan:
Test plan:
1. OPAC->login->your purchase suggestions->New purchase suggestion
2. Click button "Submit your suggestion" directly without filling in any field.
   Empty suggestion record was added succeffully.
3. Apply the patch.
4. Click button "Submit your suggestion" directly without filling in any field.
   The required fields should be labeled in red.
   (you can change the mandatory fields by preference
   'OPACSuggestionMandatoryFields')

Signed-off-by: Bin Wen <bin.wen@inlibro.com>
Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 4 Nick Clemens 2019-05-07 12:02:11 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-05-08 15:47:44 UTC
Pushed to 18.11.x for 18.11.06